<template>
  <el-form ref="form" :model="showDailogData" label-width="80px">
    <el-form-item label="名称">
      <el-input v-model="showDailogData.name"></el-input>
    </el-form-item>
    <el-form-item label="类型">
      <el-input v-model="showDailogData.ftype"></el-input>
    </el-form-item>
    <el-form-item label="项目">
      <el-input v-model="showDailogData.projectName"></el-input>
    </el-form-item>
    <el-form-item label="修改者">
      <el-input v-model="showDailogData.updatebyname"></el-input>
    </el-form-item>
    <el-form-item label="修改时间">
      <el-input v-model="showDailogData.updateon"></el-input>
      <!-- <el-col :span="11">
      <el-date-picker type="date" placeholder="选择日期" v-model="form.date1" style="width: 100%;"></el-date-picker>
    </el-col>
    <el-col class="line" :span="2">-</el-col>
    <el-col :span="11">
      <el-time-picker placeholder="选择时间" v-model="form.date2" style="width: 100%;"></el-time-picker>
    </el-col> -->
    </el-form-item>
    <el-form-item>
      <el-button type="primary" @click="onSubmit">完成修改</el-button>
      <el-button @click="onCancel">取消</el-button>
    </el-form-item>
  </el-form>
</template>

<script>
export default {
  props: {
    showDailogData: {
      type: Object,
      default() {
        return {}
      }
    }
  },
  data() {
    return {}
  },
  methods: {
    onSubmit() {
      this.$emit('changeIsShowEditDailog', false)
    },
    onCancel() {
      this.$emit('changeIsShowEditDailog', false)
    }
  }
}
</script>

<style lang="scss" scoped></style>
